April 6th, 2017 by Customer Care

The system requirements for Password Genie are as follows.

Android: IOS: Windows (32 & 64-bit): Mac: Browser Support:
Version 4.4+ Version 9+ All 10 Editions
All 8.1 Editions
7 – – Service Pack 1 and above
10.11 El Capitan

10.12 Sierra

10.13 High Sierra

10.14 Mojave

Microsoft Internet Explorer version 10, 10 and 12 (32-bit and 64-bit)Mozilla Firefox 28+ (Windows and Mac)

Google Chrome 35+ (Windows and Mac)

Apple Safari 5.0.1+ (Mac only)

 

  • Posted in
  • Comments Off on What are the system requirements?